
## `docker` image

An `alpine` image with `docker` installed

See https://blog.jbrumond.me/post/raspberry-pi-cluster-part-4:-gitea-and-drone for more info



### Drone CI Usage

```yaml
steps:
- name: deploy
  image: gitea.internal.example.com/examples/docker
  volumes:
  - name: dockersock
    path: /var/run/
  environment:
    DOCKER_REGISTRY: https://gitea.internal.example.com
    DOCKER_USER: drone
    DOCKER_PASS:
      from_secret: gitea-internal-password
  commands:
  - /docker-setup
  - docker tag ...
  - docker push ...
volumes:
- name: dockersock
  host:
    path: /var/run/
```
